List exception requests

GET
/v1/{namespace}/config/{firewall}/exception-requests

Requests to add an exception to the firewall, newest first. Readable whenever the caller can read the firewall, also after exception requests have been turned off.

Authorization

headerAuthorizationBearer <token>

A personal or service access token, sent as Authorization: Bearer <token>. See access tokens.

Path Parameters

namespace*string

The namespace id.

firewall*string

The firewall id.

Query Parameters

status?string

Only requests with one of these statuses, comma-separated.

requestedBy?string

Only requests made by this user id, or me for the caller's own.

Response Body

The requests, with what the caller may do with each.

application/json
  1. response
[index: integer]?

An exception request, with what the caller may do with it.

curl -X GET 'https://eu-sov-1.bytesafecloud.eu/v1/my-namespace-id/config/my-firewall-id/exception-requests?status=pending%2Cdenied&requestedBy=me'
[  {    "id": "exr-01JZ8Q2V6R9X3T5W7Y0A2C4E6G",    "firewallId": "npm-main",    "status": "pending",    "proposedException": {      "id": "allow-left-pad",      "rule": "block-malware",      "selector": {        "packageName": "left-pad",        "version": "1.3.0"      },      "log": true,      "expires": "2026-05-31T09:30:00Z",      "reason": "evaluating_component"    },    "justification": "Needed for the build until we migrate off left-pad.",    "requestedBy": "user_2a9f",    "requestedAt": "2026-03-02T09:30:00Z",    "updatedAt": "2026-03-02T09:30:00Z",    "firewallName": "npm main",    "ruleDescription": "Block known malware",    "canApprove": true,    "canDeny": true,    "canWithdraw": true  }]